﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;

namespace ClassLibrary1
{
    public class SaveAsPodcastModule : IModule
    {
        private readonly IRegionViewRegistry regionViewRegistry;

        // MAGIC: dependency injection
        public SaveAsPodcastModule(IRegionViewRegistry registry)
        {
            this.regionViewRegistry = registry;
        }

        #region IModule Members

        public void Initialize()
        {
            regionViewRegistry.RegisterViewWithRegion("MainRegion", typeof(Views.HelloWorldView));
        }

        #endregion
    }
}

