﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using Microsoft.Practices.Composite.Events;

namespace SaveAsPodcastModule
{
    public class SaveAsPodcastModule : IModule
    {
        private readonly IRegionViewRegistry regionViewRegistry;

        // MAGIC: dependency injection
        public SaveAsPodcastModule(IRegionViewRegistry registry)
        {
            this.regionViewRegistry = registry;
        }

        #region IModule Members

        public void Initialize()
        {
            regionViewRegistry.RegisterViewWithRegion("BeantownRegion", typeof(Views.SaveAsPodcastView));
            // load my data from a service
            // load person data
            // Create people = ObsColl<Person>
            // Bind people=>View
        }

        #endregion
    }
}

