﻿using System.Collections.Generic;
using System.Xml.Linq;

namespace SaveAsPodcastModule
{
    public class PodcastFeedGetter
    {
        public IEnumerable<XElement> GetEpisodes(string feedUrl)
        {
            var feed = XDocument.Load(feedUrl);
            var items = feed.Root.Element("channel").Elements("item");
            foreach (var item in items)
                yield return item;
        }
    }
}
